using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("TP_EjenCukai")]
    public class TaxAgent
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long EjenCukaiID { get; set; }
        
        public long STS_EjenID { get; set; }
        public long TPID { get; set; }

        [StringLength(255)]
        public string EjenCukaiName { get; set; }

        [StringLength(255)]
        public string EjenCukaiAddress { get; set; }

        [StringLength(20)]
        public string EjenCukaiNoPengenalan { get; set; } 
         
        public Nullable<Int16> TahunTaksiran { get; set; }

        [Column(TypeName = "datetime2")]
        public Nullable<DateTime> STS_UpdatedDatetime { get; set; }    
    }
}
